package com.ruoyi.base.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.base.domain.BaseCoupon;

/**
 * 通告券Service接口
 *
 * @author vinjor-m
 * @date 2025-03-17
 */
public interface IBaseCouponService extends IService<BaseCoupon> {
    IPage<BaseCoupon> queryListPage(BaseCoupon pageReqVO, Page<BaseCoupon> page);

    /**
     * 不分页查询基础通告券列表
     * @author PQZ
     * @date 13:54 2025/4/11
     * @return java.util.List<com.ruoyi.base.domain.BaseCoupon>
    **/
    List<BaseCoupon> couponList();
}
