package com.ruoyi.busi.query;

import lombok.Data;

/**
 * 小程序端查询通告条件
 * @author vinjor-M
 * @date 15:40 2025/3/25
**/
@Data
public class AppNoticeQuery {
    /** 排序方式：new-最新；money-高奖励； */
    private String sortBy;
    /** 品牌置换--只要有值代表查品牌置换 */
    private String gift;
    /** 平台code */
    private String platformCode;
    /** 领域code */
    private String bloggerType;
    /** 搜索的文字 */
    private String searchValue;
    /** 奖励类型选中值:""-不限 | money-稿费 | gift-赠品 */
    private String rewardType;
    /** 粉丝量要求-上限 */
    private Double fansUp;
    /** 粉丝量要求-下限 */
    private Double fansDown;
    /** 稿费要求-上限 */
    private Double feeUp;
    /** 稿费要求-下限 */
    private Double feeDown;
    //用户id
    private Long userId;
    //'全部', '审核中', '已通过', '未合作'
    private String reportStatus;

}
