package com.ruoyi.busi.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.busi.domain.BusiNotice;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class BusiNoticeVo extends BusiNotice {
    /**发布者名称**/
    private String userNickName;
    /**发布者头像*/
    private String avatar;
    /** 平台名称 */
    private String platformName;
    /** 是否超级报名*/
    private String isSuper;
    /**通告合作状态*/
    private String signStatus;
    /**产品主图*/
    private String mainImage;

    /**浏览量*/
    private Integer viewNum;
    /**报名量*/
    private Integer reportNum;
    /**博主类型-text*/
    private String bloggerTypesText;
    /**
     * 审核人姓名
     */
    private String approvalUserName;
    //报名时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date signTime;


}
